Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.annotation
Class SourceField

    java.lang.Object
      unity.annotation.SourceField

Direct Known Subclasses:
  AnnotatedSourceField

    public class SourceField

extends java.lang.Object

Constructor Summary
`SourceField()`
`SourceField(java.lang.String cat, java.lang.String schema, java.lang.String table, java.lang.String name, int type, java.lang.String typeName, int size, int digits, int precision, int n, java.lang.String rem, java.lang.String def, int octetLength, int position, java.lang.String isNull)`

Method Summary
`int` | `getCharacterOctetLength()`
`java.lang.String` | `getColumnName()`
`java.lang.String` | `getColumnNameWithSchema()`
`java.lang.String` | `getColumnNameWithTable()`
`int` | `getColumnSize()`
`int` | `getDataType()`
`java.lang.String` | `getDataTypeName()`
`int` | `getDecimalDigits()`
`java.lang.String` | `getDefaultValue()`
`java.lang.String` | `getFullColumnName()`
`java.lang.String` | `getFullSQLColumnName()`
`java.lang.String` | `getIsNullable()`
`int` | `getNullable()`
`int` | `getNumberPrecisionRadix()`
`int` | `getNumDistinctValues()`
`int` | `getOrdinalPosition()`
`SourceTable` | `getParentTable()`
`java.lang.String` | `getRemarks()`
`java.lang.String` | `getSQLColumnName()`
`java.lang.String` | `getSQLColumnNameWithSchema()`
`java.lang.String` | `getSQLColumnNameWithTable()`
`java.lang.String` | `getTableCatalog()`
`java.lang.String` | `getTableName()`
`java.lang.String` | `getTableSchema()`
`boolean` | `isBlob()`
`void` | `setCharacterOctetLength(int octetLength)`
`void` | `setColumnName(java.lang.String name)`
`void` | `setColumnSize(int size)`
`void` | `setDataTypeName(java.lang.String typeName)`
`void` | `setDecimalDigits(int digits)`
`void` | `setDefaultValue(java.lang.String def)`
`void` | `setIsNullable(java.lang.String isNull)`
`void` | `setNullable(int n)`
`void` | `setNumberPrecisionRadix(int precision)`
`void` | `setNumDistinctValues(int numDistinctValues)`
`void` | `setOrdinalPosition(int position)`
`void` | `setParentTable(SourceTable table)`
`void` | `setRemarks(java.lang.String rem)`
`void` | `setTableCatalog(java.lang.String cat)`
`void` | `setTableName(java.lang.String table)`
`void` | `setTableSchema(java.lang.String schema)`
`java.lang.String` | `toString()`
`java.lang.String` | `toStringField(int depth)`
`java.lang.String` | `toXML()`
`java.lang.String` | `toXMLKey()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SourceField

    public SourceField()

### SourceField

    public SourceField(java.lang.String cat,
                       java.lang.String schema,
                       java.lang.String table,
                       java.lang.String name,
                       int type,
                       java.lang.String typeName,
                       int size,
                       int digits,
                       int precision,
                       int n,
                       java.lang.String rem,
                       java.lang.String def,
                       int octetLength,
                       int position,
                       java.lang.String isNull)

Method Detail

### setParentTable

    public void setParentTable(SourceTable table)

### getParentTable

    public SourceTable getParentTable()

### setTableCatalog

    public void setTableCatalog(java.lang.String cat)

### getTableCatalog

    public java.lang.String getTableCatalog()

### setTableSchema

    public void setTableSchema(java.lang.String schema)

### getTableSchema

    public java.lang.String getTableSchema()

### setTableName

    public void setTableName(java.lang.String table)

### getTableName

    public java.lang.String getTableName()

### setColumnName

    public void setColumnName(java.lang.String name)

### getColumnName

    public java.lang.String getColumnName()

### getColumnNameWithTable

    public java.lang.String getColumnNameWithTable()

### getColumnNameWithSchema

    public java.lang.String getColumnNameWithSchema()

### getFullColumnName

    public java.lang.String getFullColumnName()

### getSQLColumnName

    public java.lang.String getSQLColumnName()

### getSQLColumnNameWithTable

    public java.lang.String getSQLColumnNameWithTable()

### getSQLColumnNameWithSchema

    public java.lang.String getSQLColumnNameWithSchema()

### getFullSQLColumnName

    public java.lang.String getFullSQLColumnName()

### setDataTypeName

    public void setDataTypeName(java.lang.String typeName)

### getDataTypeName

    public java.lang.String getDataTypeName()

### setColumnSize

    public void setColumnSize(int size)

### getColumnSize

    public int getColumnSize()

### setDecimalDigits

    public void setDecimalDigits(int digits)

### getDecimalDigits

    public int getDecimalDigits()

### setNumberPrecisionRadix

    public void setNumberPrecisionRadix(int precision)

### getNumberPrecisionRadix

    public int getNumberPrecisionRadix()

### setNullable

    public void setNullable(int n)

### getNullable

    public int getNullable()

### setRemarks

    public void setRemarks(java.lang.String rem)

### getRemarks

    public java.lang.String getRemarks()

### setDefaultValue

    public void setDefaultValue(java.lang.String def)

### getDefaultValue

    public java.lang.String getDefaultValue()

### setCharacterOctetLength

    public void setCharacterOctetLength(int octetLength)

### getCharacterOctetLength

    public int getCharacterOctetLength()

### setOrdinalPosition

    public void setOrdinalPosition(int position)

### getOrdinalPosition

    public int getOrdinalPosition()

### setIsNullable

    public void setIsNullable(java.lang.String isNull)

### getIsNullable

    public java.lang.String getIsNullable()

### getNumDistinctValues

    public int getNumDistinctValues()

### setNumDistinctValues

    public void setNumDistinctValues(int numDistinctValues)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toStringField

    public java.lang.String toStringField(int depth)

### toXML

    public java.lang.String toXML()

### toXMLKey

    public java.lang.String toXMLKey()

### getDataType

    public int getDataType()

### isBlob

    public boolean isBlob()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD